<?php

namespace ModulesGarden\Servers\OpenXchange\App\UI\Client\Others\Modals;

use ModulesGarden\Servers\OpenXchange\Core\UI\Interfaces\AdminArea;
use ModulesGarden\Servers\OpenXchange\Core\UI\Widget\Modals\ModalTabsEdit;

class ModalExtendedTabsEdit extends ModalTabsEdit implements AdminArea
{
    protected $id    = 'modalExtendedTabsEdit';
    protected $name  = 'modalExtendedTabsEdit';
    protected $title = 'modalExtendedTabsEdit';

    protected function afterInitContent()
    {
        parent::afterInitContent();

        foreach ($this->forms as &$form)
        {
            $form->getHtml();
        }
    }
}
